
class IssueFromMessageController < ApplicationController
  unloadable

  before_filter :setup_environment
  before_filter :authorize

  def create_issue
	  @projects=User.current.projects.select do |prj|
		  res=(prj.respond_to?("inactive?") && prj.inactive?) ? false : true
		  if res
			  res=false unless User.current.allowed_to?(:add_issues,prj)
		  end
      res
	  end
  end

  def create_issue_1
	  if params[:use_default_settings].blank?
			@settings.dst_project=Project.find_by_id(params[:dst_project])
			@settings.quote_text=params[:quote_text].blank? ? 0 : 1
			@settings.message_link=params[:message_link].blank? ? 0 : 1
			@settings.project_link=params[:project_link].blank? ? 0 : 1
			@settings.prefix_str=params[:prefix_text] if !params[:prefix_text].blank? && params[:prefix_text].size > 0
			@settings.save if !params[:save_as_default].blank? && User.current.projects.include?(@settings.dst_project)
	  end

	  if User.current.projects.include?(@settings.dst_project)
			issue_params={:controller => 'issues', :action => 'new', :project_id => @settings.dst_project, :ifm_message_id => @message.id}
			issue_params[:ifm_quote_text]=1 if @settings.quote_text!=0
			issue_params[:ifm_message_link]=1 if @settings.message_link!=0
			issue_params[:ifm_project_link]=1 if @settings.project_link!=0
			issue_params[:ifm_prefix_text]=@settings.prefix_str if @settings.prefix_str && @settings.prefix_str.size > 0

			redirect_to issue_params
	  else
		  redirect_to :controller => 'issue_from_message', :action => 'create_issue', :message_id => params[:message_id]
		end
  end

private

  def setup_environment
	  @board=Board.find_by_id(params[:board_id])
	  @project=@board.project

		@message=Message.find_by_id(params[:message_id])
		render_404 unless @message

	  @settings=IssueFromMessageSettings.find(:first,:conditions => {:user_id => User.current.id, :board_id => @board.id })
		@settings=IssueFromMessageSettings.new(User.current,@board) unless @settings

	rescue ActiveRecord::RecordNotFound
		render_404
	end

end

