class CreateIssueFromMessageSettings < ActiveRecord::Migration
	def self.up
		create_table :issue_from_message_settings do |t|
            t.column :user_id, :integer
			t.column :board_id, :integer
			# project in which to create tasks by default
			t.column :dst_project_id, :integer
			# should include message body?
			t.column :quote_text, :integer
			# should include message link?
			t.column :message_link, :integer
			# should include project link?
			t.column :project_link, :integer

			t.column :created_at, :timestamp
			t.column :updated_at, :timestamp
		end
	
		add_index :issue_from_message_settings, :user_id
		add_index :issue_from_message_settings, :board_id
	end

	def self.down
		drop_table :issue_from_message_settings
	end
end
