require 'redmine'
require 'issue_from_message_patches'

unless Redmine::Plugin.registered_plugins.keys.include?(:redmine_issue_from_message)
	Redmine::Plugin.register :redmine_issue_from_message do
	  name 'Issue from message plugin'
	  author 'Vitaly Klimov'
	  author_url 'mailto:vitaly.klimov@snowbirdgames.com'
	  description 'Plugin adds ability to create issue from forums'' messages'
	  version '0.0.5'

		project_module :boards do
			permission :create_issue_from_message, {:issue_from_message => [:create_issue, :create_issue_1] }, :require => :member
		end
	end
end

Dispatcher.to_prepare :redmine_issue_from_message do
  require_dependency 'issues_controller'

  unless IssuesController.included_modules.include? IssueFromMessage::Patches::IssuesControllerPatch
    IssuesController.send(:include, IssueFromMessage::Patches::IssuesControllerPatch)
  end
end
